using Sepehr.ApiGateway.Partners.Contracts.Generic.AccountingReport.V2.RequestModel;
using Sepehr.ApiGateway.Partners.Contracts.Generic.AccountingReport.V2.ResponseModel;
using SepehrFlightApiSampleClient.BuiltinTypeExtensions;

namespace SepehrFlightApiSampleClient.Generic.WebApi
{
    public class AccountingReportApi
    {
        public static Response Post(string url, Request request)
        {
            var response = HttpClientHelper.Post(
                $"{url}/api/Partners/Generic/AccountingReport/V2",
                request.SerializeToJson());

            return response.DeserializeFromJson<Response>();
        }
    }
}
